%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9
%global py_minor 16

%global python_major python%{py_major}

%global pkgname pyzmq

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")
%global python3_sitearch64 %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        21.0.2
Release:        1
Summary:        General purpose template engine for python2
License: 	BSD
URL:            https://pypi.org/project/pyzmq/
Source0:        %{pkgname}-%{version}.tar.gz
Group: 		Development/Libraries
Prefix: 	%{_prefix}

BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires: 	zeromq-devel >= 4.3.4

Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:	zeromq >= 4.3.4

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the python bindings

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%prep
%autosetup -n  %{pkgname}-%{version}

%build
export OBJECT_MODE=64
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install -O1 --root  ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
#%doc COPYING.*
%doc README.md examples/
%{python3_sitearch64}/%{pkgname}-*.egg-info
%{python3_sitearch64}/zmq

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Wed Feb 15 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 25.0.2-1
- pyzmq build for python3.9

* Mon Mar 09 2020 Reshma V Kumar <reskumar@in.ibm.com> - 18.1.1-1
- Update to latest version
- Build with python3

* Wed Nov 08 2017 Ravi Hirekurabar<rhirekur@in.ibm.com> - 2.9.6-2 
- Initial port to AIX 

